RESTinio

Static Public Attributes | List of all members
restinio::utils::metaprogramming::impl::all_of< Predicate, type_list< Types... > > Struct Template Reference

`#include <metaprogramming.hpp>`

## Static Public Attributes
static constexpr bool | value = all_of<Predicate, Types...>::value

## Detailed Description

template<template< class... > class Predicate, typename... Types>
struct restinio::utils::metaprogramming::impl::all_of< Predicate, type_list< Types... > >

Definition at line 295 of file metaprogramming.hpp.

## Member Data Documentation

## ◆ value

template<template< class... > class Predicate, typename... Types>

constexpr bool restinio::utils::metaprogramming::impl::all_of< Predicate, type_list< Types... > >::value = all_of<Predicate, Types...>::value
| static constexpr

Definition at line 297 of file metaprogramming.hpp.

The documentation for this struct was generated from the following file:

- restinio/utils/metaprogramming.hpp